<?php
if (session_id() == '') {
	session_start();
}
if (isset($_SESSION['userId'])) {

?>
	<!DOCTYPE html>
	<html lang="en">

	<head>
		<title>e-Learn</title>
		<meta charset="utf-8">
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		<meta name="description" content="e-learn the education platform">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<link rel="stylesheet" type="text/css" href="styles/bootstrap4/bootstrap.min.css">
		<link href="plugins/font-awesome-4.7.0/css/font-awesome.min.css" rel="stylesheet" type="text/css">
		<link rel="stylesheet" type="text/css" href="plugins/OwlCarousel2-2.2.1/owl.carousel.css">
		<link rel="stylesheet" type="text/css" href="plugins/OwlCarousel2-2.2.1/owl.theme.default.css">
		<link rel="stylesheet" type="text/css" href="plugins/OwlCarousel2-2.2.1/animate.css">
		<link rel="stylesheet" type="text/css" href="styles/main_styles.css">
		<link rel="stylesheet" type="text/css" href="styles/responsive.css">

		<link href="plugins/colorbox/colorbox.css" rel="stylesheet" type="text/css">
		<link rel="stylesheet" type="text/css" href="styles/courses.css">
		<link rel="stylesheet" type="text/css" href="styles/courses_responsive.css">

	</head>
	<?php

	include_once 'includes/menu.php';
	?>

	<!-- Home -->

	<div class="home">
		<div class="breadcrumbs_container">
			<div class="container">
				<div class="row">
					<div class="col">
						<div class="breadcrumbs">
							<ul>
								<li><a href="index.php">Home</a></li>
								<li>advanced level</li>
							</ul>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>


	<!-- Counter -->
	<div style="background-image:url(images/home_slider_3.jpg); 
	width: 100%;
	height: 100%;
	background-repeat: no-repeat;
	background-size: cover;
	background-position: center center;
">
		<div class="courses">
			<div class="container">
				<div class="row">

					<!-- Courses Main Content -->
					<div class="col-lg-12">
						<div class="courses_container">
							<div class="row courses_row">

								<!-- Course -->
								<?php $science = "search.php?grade=A/L&subject=Science"; ?>
								<div class="col-lg-3 course_col">
									<div class="course">

										<div class="course_body">
											<h3 class="course_title"><a href="<?= $science ?>">Science Stream</a></h3>
											<h3 class="course_title"><a href="<?= $science ?>">විද්‍යා විෂය ධාරාව</a></h3>
											<div class="course_teacher"></div>
											<div class="course_text"><a href="<?= $science ?>">
													Biology, Maths & Agriculture
													</a>
											</div>
										</div>
										<div class="course_footer">
											<div class="course_footer_content d-flex flex-row align-items-center justify-content-start">
												<div class="course_info">
													<i class="fa fa-graduation-cap" aria-hidden="true"></i>
													<span></span>
												</div>
												
												<div class="course_price ml-auto"></div>
											</div>
										</div>
									</div>
								</div>


								<!-- Course -->
								<?php $commerce = "search.php?grade=A/L&subject=Commerce"; ?>
								<a href="<?= $commerce ?>">
									<div class="col-lg-3 course_col">
										<div class="course">

											<div class="course_body">
												<h3 class="course_title"><a href="<?= $commerce ?>">Commerce Stream</a></h3>
												<h3 class="course_title"><a href="<?= $commerce ?>">වාණිජ විෂය ධාරාව</a></h3>
												<div class="course_teacher"></div>
												<div class="course_text">
												<a href="<?= $commerce ?>">
													B.S, Econ & Acoounting
												</a>
												</div>
											</div>
											<div class="course_footer">
												<div class="course_footer_content d-flex flex-row align-items-center justify-content-start">
													<div class="course_info">
														<i class="fa fa-graduation-cap" aria-hidden="true"></i>
														<span></span>
													</div>
													<!-- <div class="course_info">
												<i class="fa fa-star" aria-hidden="true"></i>
												<span>5 Ratings</span>
											</div> -->
													<div class="course_price ml-auto"></div>
												</div>
											</div>
										</div>
									</div>
								</a>

								<!-- Course -->
								<?php $art = "search.php?grade=A/L&subject=Art"; ?>
								
									<div class="col-lg-3 course_col">
										<div class="course">
											<div class="course_body">
												<h3 class="course_title"><a href="<?= $art ?>">Art Stream</a></h3>
												<h3 class="course_title"><a href="<?= $art ?>">කලා විෂය ධාරාව</a></h3>
												<div class="course_teacher"></div>
												<div class="course_text">
												<a href="<?= $art ?>">
													Sinhala, History, Logic...
												</a>
												</div>
											</div>
											<div class="course_footer">
												<div class="course_footer_content d-flex flex-row align-items-center justify-content-start">
													<div class="course_info">
														<i class="fa fa-graduation-cap" aria-hidden="true"></i>
														<span></span>
													</div>
													<!-- <div class="course_info">
												<i class="fa fa-star" aria-hidden="true"></i>
												<span>5 Ratings</span>
											</div> -->
													<div class="course_price ml-auto"></div>
												</div>
											</div>
										</div>
									</div>
								

								<!-- Course -->
								<?php $tech = "search.php?grade=A/L&subject=Technology"; ?>
									<div class="col-lg-3 course_col">
										<div class="course">
											<div class="course_body">
												<h3 class="course_title"><a href="<?= $tech ?>">Tech Stream</a></h3>
												<h3 class="course_title"><a href="<?= $tech ?>">තාක්ෂණ විෂය ධාරාව</a></h3>
												<div class="course_teacher"></div>
												<div class="course_text">
												<a href="<?= $tech ?>">
													ET, SFT, BST...
												</a>
												</div>
											</div>
											<div class="course_footer">
												<div class="course_footer_content d-flex flex-row align-items-center justify-content-start">
													<div class="course_info">
														<i class="fa fa-graduation-cap" aria-hidden="true"></i>
														<span></span>
													</div>
													<!-- <div class="course_info">
												<i class="fa fa-star" aria-hidden="true"></i>
												<span>5 Ratings</span>
											</div> -->
													<div class="course_price ml-auto"></div>
												</div>
											</div>
										</div>
									</div>
							


							</div>

						</div>
					</div>

					<!-- Courses Sidebar -->
					<!-- <div class="col-lg-4">
					<div class="sidebar">

						<!-- Categories -
						<div class="sidebar_section">
							<div class="sidebar_section_title">Categories</div>
							<div class="sidebar_categories">
								<ul>
									<li><a href="#">Art & Design</a></li>
									<li><a href="#">Business</a></li>
									<li><a href="#">IT & Software</a></li>
									<li><a href="#">Languages</a></li>
									<li><a href="#">Programming</a></li>
								</ul>
							</div>
						</div>

					
						
					</div>
				</div> -->
				</div>
			</div>
		</div>

	<?php
	include_once 'includes/footermenu.php';
	include_once "includes/footer.php";
} else {
	header("Location: log-in.php?error=Pleaselogin");
	exit();
}

	?>