<?php

if (isset($_POST["reset"])) {
    # code...
    $selector = bin2hex(random_bytes(8));
    $token = random_bytes(32);

    $url ="ww.qanda.lk/create-new-password.php?selector=".$selector."&validator=".bin2hex($token);
    $expires = date("U")+ 900;
    require '../login/dbh.inc.php';

    $email = $_POST['email'];
     
    $sql = "DELETE FROM pwdreset WHERE pwdResetEmail=?";
    $stmt = mysqli_stmt_init($conn);
    if (!mysqli_stmt_prepare($stmt,$sql)) {
        echo "Something wrong please contact us";
        exit();
    }else{
        mysqli_stmt_bind_param($stmt,"s",$email);
        mysqli_stmt_execute($stmt);

    }

    $sql = "INSERT INTO pwdreset (pwdResetEmail ,	pwdResetSelector ,	pwdResetToken ,	pwdResetExpeires ) VALUES (?,?,?,?)";
    $stmt = mysqli_stmt_init($conn);
    if (!mysqli_stmt_prepare($stmt,$sql)) {
        echo "Something wrong please contact us";
        exit();
    } else {
        $hashedToken = password_hash($token, PASSWORD_DEFAULT);
        mysqli_stmt_bind_param($stmt,"ssss",$email,$selector,$hashedToken,$expires);
        mysqli_stmt_execute($stmt);
    }
    mysqli_stmt_close($stmt);
    mysqli_close(($conn));
    

    $to = $email;
    $subject = "Password Reset Q and A";
    $message="<p>To reset the password , click
    the web address below or copy and paste it into your browser:<br>
    <a href=".$url.">.$url.</a><br><br>
    
    This link will expire within 30 minutes. If you do not wish to reset
    your password, simply ignore this email and nothing will be changed.<br>
    
    If you have questions or need further assistance, feel free to contact us<br><br>

    We wish you great success!<br>

The iPage Team
    </p>";
    $headers ="From: QandA.lk <info@qanda.lk>\r\n";
    $headers = "Reply-To: info@qanda.lk\r\n";
    $headers = "Content-type: text/html\r\n";

    mail($to, $subject,$message,$headers);
    header("Location: ../forgot.php?reset=success");
    exit();
    

} else{
    header("Location:../index.php");
    exit();
}