<?php

if(isset($_POST['login'])) {

    require 'dbh.inc.php';

    $mailuid = $_POST['user'];
    $password = $_POST['pass'];

    if (empty($mailuid) || empty($password)) {
        header("Location: ../index.php?error=emptyfields");
        exit();
    } else {
        
        $sql = "SELECT * FROM teachers WHERE teacherUsername=?;";
        $stmt = mysqli_stmt_init($conn);
        if (!mysqli_stmt_prepare($stmt, $sql)) {
            header("Location: ../teachers_log_in.php?error=sqlerror");
            exit(); //done
        } else {
            mysqli_stmt_bind_param($stmt, "s", $mailuid);
            mysqli_stmt_execute($stmt);
            $result = mysqli_stmt_get_result($stmt); //done

            if ($row = mysqli_fetch_assoc($result)) { //done
                $pwdCheck = password_verify($password, $row['teacherPassword']);
                if ($pwdCheck == false) {
                    header("Location: ../teachers_log_in.php?error=wrongpassword");
                exit(); //done
                } else if ($pwdCheck == true) {
                    session_start();
                    $_SESSION['teacherId'] = $row['teacherID'];
                    $_SESSION['teacherName'] = $row['teacherUsername'];
                    header("Location: ../lessonUpload.php?login=success".$_SESSION['userName']);
                    exit();//done

                } else {
                    header("Location: ../teachers_log_in.php?error=wrongpwd");
                    exit();
                }
            } else { //done
                header("Location: ../teachers_log_in.php?error=nouser");
                exit();
            }
        }
    }

} else{
    header("Location: ../teachers_log_in.php");
        exit();//done
}