<?php
if (isset($_POST['upload'])) {

	$vlink = $_POST['vlink'];
	$subject = $_POST['subject'];
	$stream = $_POST['stream'];
	$price = $_POST['price'];
	$note = $_POST['note'];
	$ID = $_POST['id'];


	if (session_id() == '') {
		session_start();
	}

	if (isset($_SESSION['userId'])) {

		include_once 'includes/head.php';
		include_once 'includes/menu.php';
		include_once "login/dbh.inc.php";

		$stdID = $_SESSION['userId'];
		$sql_or = "SELECT price FROM payments WHERE studentID=? AND lessonID=? ";
						
						$stmt_or = mysqli_stmt_init($conn);
						mysqli_stmt_prepare($stmt_or, $sql_or);
						mysqli_stmt_bind_param($stmt_or, "ss", $stdID,$ID);
						mysqli_stmt_execute($stmt_or);
						$result_or = mysqli_stmt_get_result($stmt_or); 
						$row_or = mysqli_fetch_assoc($result_or);
						$paid = $row_or['price'];
		if ($price == 'Free' || $paid == '11') {



?>

			<!-- Home -->

			<div class="home">
				<div class="breadcrumbs_container">
					<div class="container">
						<div class="row">
							<div class="col">
								<div class="breadcrumbs">
									<ul>
										<li><a href="index.php">Home</a></li>
										<li><?= $stream ?></li>
										<li><?= $subject ?></li>
									</ul>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>


			<!-- Counter -->
			<div style="background-image:url(images/home_slider_3.jpg); 
	width: 100%;
	height: 100%;
	background-repeat: no-repeat;
	background-size: cover;
	background-position: center center;
">
				<div class="container">
					<div class="row">
						<div class="col-lg-2">
						</div>
						<div class="col-lg-4">

							<div class="counter_content">
								<div class="row fill_height">
									<div class="col fill_height">

										<div class="counter_form_title"><?= $subject ?></div>
										<div class="container">
											<!-- <iframe width="718" height="404" src="<?= $vlink ?>" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe> -->
											<video id="player" playsinline controls controlsList="nodownload" width="300px">
												<source src="lessons/<?= $vlink ?>" type="video/mp4" />
											</video>
										</div>

									</div>
								</div>
							</div>
						</div>
						<div class="col-lg-4">

							<div class="row">
								<div class="col-md-12">
									<br><br><br><br><br><br>
									<h4>Download Note </h4><br>
									<a href="/lessons/note/<?= $note ?>" download>
										<button class="btn btn-info"> Download Note Here</button>
									</a>
								</div>
							</div>
						</div>
						<div class="col-lg-2">
						</div>
					</div>
				</div>
			</div>

		<?php
		} else { ?>

			<div class="home">
				<div class="breadcrumbs_container">
					<div class="container">
						<div class="row">
							<div class="col">
								<div class="breadcrumbs">
									<ul>
										<li><a href="index.php">Home</a></li>
										<li>Payment</li>
									</ul>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>

			<div class="container">
				<div class="row">
					<div class="col-lg-2">
					</div>
					<div class="col-lg-8"> <br><br><br><br><br><br>
						<h2>Please Buy This Lesson</h2>
						<?php					

						// Fetch one and one row
						$sql = "SELECT orderID FROM payments ORDER BY orderID DESC LIMIT 1";
						
						$stmt = mysqli_stmt_init($conn);
						mysqli_stmt_prepare($stmt, $sql);
						// mysqli_stmt_bind_param($stmt, "ss", $stdID,$ID);
						mysqli_stmt_execute($stmt);
						$result = mysqli_stmt_get_result($stmt); 
						$row = mysqli_fetch_assoc($result);
						$ord = $row['orderID'];
						$order = $ord + 1;
						$invoice =  $order;


						date_default_timezone_set("Asia/Colombo");

						$date = date("Y-m-d H:i:s");
						//echo $list;
						//$success = "http://e-learn.edu.lk/payment.php?success=$ID";
						$pg = "PG00022135";
						$success = "http://e-learn.edu.lk/payment.php";
						$error = "http://e-learn.edu.lk/error.php";
						$store = "MCO0016038";
						$CODE = "1ced883feab64b03bc6baec838f42963";
						$list = hash('sha1', $store . "LKR" . $CODE . $date . $price);
						//echo $store . "LKR" . $CODE . $date . $price;
							//echo $order."|".$invoice;
							//echo $date . $price."|".$paid."|".$stdID."|".$invoice;

						?>
						<form id="ext-merchant-frm" action="https://apps.genie.lk/merchant" method="post" accept-charset="UTF-8" enctype="application/x-www-form-urlencoded">


							<input type="hidden" id="merchantPgIdentifier" name="merchantPgIdentifier" value="<?= $pg ?>">

							<input type="hidden" id="chargeTotal" name="chargeTotal" value="<?= $price ?>"></br></br>
							<input type="hidden" id="currency" name="currency" value="LKR">
							<input type="hidden" id="paymentMethod" name="paymentMethod" value="Genie">
							<input type="hidden" id="orderId" name="orderId" value="<?= $order ?>">
							<input type="hidden" id="invoiceNumber" name="invoiceNumber" value="<?= $invoice ?>">
							<input type="hidden" id="successUrl" name="successUrl" value="<?= $success ?>">
							<input type="hidden" id="errorUrl" name="errorUrl" value="<?= $error ?>">
							<input type="hidden" id="storeName" name="storeName" value="<?= $store ?>">
							<input type="hidden" id="transactionType" name="transactionType" value="SALE">
							<input type="hidden" id="timeout" name="timeout" value="">
							<input type="hidden" id="transactionDateTime" name="transactionDateTime" value="<?= $date ?>">
							<input type="hidden" id="language" name="language" value="en">
							<input type="hidden" id="token" name="token" value="<?= $list ?>">
							<input type="hidden" id="itemList" name="itemList" value="<?=$ID?>">
							<!--added new-->
							<input type="hidden" id="otherInfo" name="otherInfo" value="">
							<input type="text" class="counter_input" id="merchantCustomerPhone" name="merchantCustomerPhone" placeholder="Your Mobile">
							<input type="text" class="counter_input" id="merchantCustomerEmail" name="merchantCustomerEmail" placeholder="Your email">
							<input type="hidden" id="disableWebCheckoutQr" name="disableWebCheckoutQr" value="Y">
							<input type="hidden" id="disableWebCheckoutGuest" name="disableWebCheckoutGuest" value="N">
							<input type="hidden" id="disableWebCheckoutSignIn" name="disableWebCheckoutSignIn" value="Y">
							<br>
							<input class="counter_form_button" type="submit" value="Buy Lesson"></br>
						</form>
						<br><br><br><br><br><br><br><br><br>
					</div>
					<div class="col-lg-2">
					</div>

				</div>
			</div>

<?php 	}
		include_once 'includes/footermenu.php';
		include_once "includes/footer.php";
	}
} else {
	header("Location: log-in.php?error=Pleaselogin");
	exit();
}

?>