<?php
if (session_id() == '') {
	session_start();
}
if (isset($_SESSION['userId'])) {
	$grade = $_GET['grade'];
	if($grade=="A/L"){
	$subject = $_GET['subject'];
	} else {
		$subject = "";
	}
?>
	<!DOCTYPE html>
	<html lang="en">

	<head>
		<title>e-Learn</title>
		<meta charset="utf-8">
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		<meta name="description" content="e-learn the education platform">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<link rel="stylesheet" type="text/css" href="styles/bootstrap4/bootstrap.min.css">
		<link href="plugins/font-awesome-4.7.0/css/font-awesome.min.css" rel="stylesheet" type="text/css">
		<link rel="stylesheet" type="text/css" href="plugins/OwlCarousel2-2.2.1/owl.carousel.css">
		<link rel="stylesheet" type="text/css" href="plugins/OwlCarousel2-2.2.1/owl.theme.default.css">
		<link rel="stylesheet" type="text/css" href="plugins/OwlCarousel2-2.2.1/animate.css">
		<link rel="stylesheet" type="text/css" href="styles/main_styles.css">
		<link rel="stylesheet" type="text/css" href="styles/responsive.css">
		<link href="plugins/colorbox/colorbox.css" rel="stylesheet" type="text/css">
		<link rel="stylesheet" type="text/css" href="styles/courses.css">
		<link rel="stylesheet" type="text/css" href="styles/courses_responsive.css">
		<script>
        var isNS = (navigator.appName == "Netscape") ? 1 : 0;
        if (navigator.appName == "Netscape") document.captureEvents(Event.MOUSEDOWN || Event.MOUSEUP);

        function mischandler() {
            return false;
        }

        function mousehandler(e) {
            var myevent = (isNS) ? e : event;
            var eventbutton = (isNS) ? myevent.which : myevent.button;
            if ((eventbutton == 2) || (eventbutton == 3)) return false;
        }
        document.oncontextmenu = mischandler;
        document.onmousedown = mousehandler;
        document.onmouseup = mousehandler;
    </script>
	</head>
	<?php

	include_once 'includes/menu.php';
	?>

	<!-- Home -->

	<div class="home">
		<div class="breadcrumbs_container">
			<div class="container">
				<div class="row">
					<div class="col">
						<div class="breadcrumbs">
							<ul>
								<li><a href="index.php">Home</a></li>
								<li><a href="search.php?grade=<?=$grade?>"><?=$grade?></a></li>	
								<?php if($subject==''){ ?>
								<li><a href="search.php?grade=<?=$grade?>&subject=<?=$subject?>"><?=$subject?></a></li>	
							<?php	} ?>							
							</ul>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>


	<!-- Counter -->
	<div style="background-image:url(images/home_slider_3.jpg); 
	width: 100%;
	height: 100%;
	background-repeat: no-repeat;
	background-size: cover;
	background-position: center center;
">
		<div class="courses">
			<div class="container">
				<div class="row">

					<!-- Courses Main Content -->
					<div class="col-lg-12">
						<div class="courses_search_container">
							<!-- <div class="row" style="padding: 20px 0 20px 0;">
								<div class="col-lg-5">
									<form action="#" id="courses_search_form" class="">
										<input type="text" class="form-control" placeholder="Search Unit or Lesson">
								</div>
								<div class="col-lg-5">
									<select id="courses_search_select" class="form-control">
										<option>All Subjects</option>
										<option>Accounting</option>
										<option>Business Studies</option>
										<option>Econ</option>
									</select>
								</div>

								<div class="col-lg-2">
									<button action="submit" class="courses_search_button ml-auto">search now</button>
									</form>
								</div>
							</div> -->
						</div>
						<hr>

						<div class="courses_container">
							<div class="row courses_row">
								<?php
								include_once 'login/dbh.inc.php';
								if($subject == ''){
									$sql = "SELECT * FROM lessons  WHERE grade = '$grade'";
								} else{
									$sql = "SELECT * FROM lessons  WHERE grade = '$grade' AND stream='$subject' ORDER BY lessonID DESC";
								}

								

								if ($result = mysqli_query($conn, $sql)) {
									// Fetch one and one row
									while ($row = mysqli_fetch_row($result)) {
										//printf ("%s %s %s %s \n",$row[1],$row[8],$row[9],$row[3]);
										$regularprice = $row[1];
										$discount = $row[2];
										$stream = $row[3];
										$teacher = $row[9];
										$subject = $row[4];
										$vlink = $row[7];
										$note = $row[8];
										$ID = $row[0];



								?>
										<!-- Course -->
										<div class="col-lg-4 course_col">
											<form id="form" action="preview.php" method="POST">
											<button type="submit" class="counter_form_button" name="upload">View Lesson</button>
												<input type="text" name="vlink" value="<?=$vlink ?>" style="display: none;">
												<input type="text" name="stream" value="<?=$stream ?>" style="display: none;">
												<input type="text" name="subject" value="<?=$subject ?>" style="display: none;">
												<input type="text" name="price" value="<?=$discount ?>" style="display: none;">
												<input type="text" name="note" value="<?=$note ?>" style="display: none;">
												<input type="text" name="id" value="<?=$ID ?>" style="display: none;">
												<!-- <a onclick="document.getElementById('form').submit('upload');"> -->
													<div class="course">
														<!-- <div class="course_image"><img src="images/bs.jpg" alt=""></div> -->
														<div class="course_body">
															<h3 class="course_title"><?= $row[5]; ?></h3>
															<?php $sql2 = "SELECT * FROM teachers WHERE teacherID=$teacher";

															if ($result2 = mysqli_query($conn, $sql2)) {
																// Fetch one and one row
																while ($row = mysqli_fetch_row($result2)) {
															?>

																	<div class="course_teacher"><?php echo $row[3];
																								echo " ";
																								echo $row[5];  ?></div>
																	<!-- 											
										<div class="course_text">
											<p></p>
										</div> -->
															<?php }
															} ?>
														</div>
														<div class="course_footer">
															<div class="course_footer_content d-flex flex-row align-items-center justify-content-start">
																<div class="course_info">
																	<i class="fa fa-graduation-cap" aria-hidden="true"></i>
																	<span><?= $stream ?></span>
																</div>
																<div class="course_info">
																	<i class="fa fa-book" aria-hidden="true"></i>
																	<span><?= $subject ?></span>
																</div>
																<div class="course_price ml-auto"><span> Rs.<?= $regularprice ?></span><?= $discount ?></div>
															</div>
												<!-- </a> -->
											</form>
										</div>
							</div>
						</div>
				<?php
									}
								}
				?>



					</div>
					<div class="row pagination_row">
						<div class="col">
							<div class="pagination_container d-flex flex-row align-items-center justify-content-start">
								<ul class="pagination_list">
									<li class="active"><a href="#">1</a></li>
									<li><a href="#">2</a></li>
									<li><a href="#">3</a></li>
									<li><a href="#"><i class="fa fa-angle-right" aria-hidden="true"></i></a></li>
								</ul>
								<div class="courses_show_container ml-auto clearfix">
									<div class="courses_show_text">Showing <span class="courses_showing">1-6</span> of <span class="courses_total">26</span> results:</div>
									<div class="courses_show_content">
										<span>Show: </span>
										<select id="courses_show_select" class="courses_show_select">
											<option>06</option>
											<option>12</option>
											<option>24</option>
											<option>36</option>
										</select>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>

			<!-- Courses Sidebar -->
			<!-- <div class="col-lg-4">
					<div class="sidebar">

						-- Categories -
						<div class="sidebar_section">
							<div class="sidebar_section_title">Categories</div>
							<div class="sidebar_categories">
								<ul>
									<li><a href="#">Art & Design</a></li>
									<li><a href="#">Business</a></li>
									<li><a href="#">IT & Software</a></li>
									<li><a href="#">Languages</a></li>
									<li><a href="#">Programming</a></li>
								</ul>
							</div>
						</div>

					
						
					</div>
				</div> -->
		</div>
	</div>
	</div>

<?php
	include_once 'includes/footermenu.php';
	include_once "includes/footer.php";
} else {
	header("Location: log-in.php?error=Pleaselogin");
	exit();
}

?>