<?php

if (isset($_POST["reset-pwd"])) {

    $selector = $_POST['selector'];
    $validator = $_POST['validator'];
    $password = $_POST['pwd'];
    $repassword = $_POST['repwd'];

    if (empty($password) || empty($repassword)) {
        header("Location:../create-new-password.php?password=empty");
        exit();
    } elseif ($password != $repassword) {
        header("Location:../create-new-password.php?password=notmatch");
        exit();
    }

    $curDate = date("U");
    require 'dbh.qa.php';

    $sql = "SELECT * FROM pwdreset WHERE pwdResetSelector=? AND pwdResetExpeires >= ?";
    $stmt = mysqli_stmt_init($con);
    if (!mysqli_stmt_prepare($stmt, $sql)) {
        echo "Something wrong please contact us";
        exit();
    } else {
        mysqli_stmt_bind_param($stmt, "ss", $selector, $curDate);
        mysqli_stmt_execute($stmt);
        $result = mysqli_stmt_get_result($stmt);
        if (!$row = mysqli_fetch_assoc($result)) {
            echo "Please Re-Submit your Request";
            exit();
        } else {
            $tokenBin = hex2bin($validator);
            $tokenchk = password_verify($tokenBin, $row["pwdResetToken"]);
            if ($tokenchk === false) {
                echo "Please Re-Submit your Request";
                exit();
            } elseif ($tokenchk === true) {
                $tokenEmail = $row['pwdResetEmail'];
                $sql = "SELECT * FROM students WHERE studentEmail=? ";
                $stmt = mysqli_stmt_init($con);
                if (!mysqli_stmt_prepare($stmt, $sql)) {
                    echo "Something wrong please contact us";
                    exit();
                } else {
                    mysqli_stmt_bind_param($stmt, "s", $tokenEmail);
                    mysqli_stmt_execute($stmt);
                    $result = mysqli_stmt_get_result($stmt);
                    if (!$row = mysqli_fetch_assoc($result)) {
                        echo "Error";
                        exit();
                    } else {
                        $sql = "UPDATE students SET password=? WHERE studentEmail=?";
                        $stmt = mysqli_stmt_init($con);
                        if (!mysqli_stmt_prepare($stmt, $sql)) {
                            echo "Something wrong please contact us";
                            exit();
                        } else {
                            $Hashed = password_hash($password, PASSWORD_DEFAULT);
                            mysqli_stmt_bind_param($stmt, "ss", $Hashed, $tokenEmail);
                            mysqli_stmt_execute($stmt);

                            $sql = "DELETE FROM pwdreset WHERE pwdResetEmail=?";
                            $stmt = mysqli_stmt_init($con);
                            if (!mysqli_stmt_prepare($stmt, $sql)) {
                                echo "Something wrong please contact us";
                                exit();
                            } else {
                                mysqli_stmt_bind_param($stmt, "s", $tokenEmail);
                                mysqli_stmt_execute($stmt);
                                header("Location:../index.php?success=passwordUpdated");
                                exit();
                            }
                        }
                    }
                }
            }
        }
    }
} else {
    header("Location:../index.php");
}
