<body>

	<div class="super_container">

		<!-- Header -->

		<header class="header">

			<!-- Top Bar -->
			<div class="top_bar">
				<div class="top_bar_container">
					<div class="container">
						<div class="row">
							<div class="col">
								<div class="top_bar_content d-flex flex-row align-items-center justify-content-start">
									<ul class="top_bar_contact_list">
										<li>
											<div class="question">Have any questions?</div>
										</li>
										<li>
											<i class="fa fa-phone" aria-hidden="true"></i>
											<div>+94714588077</div>
										</li>
										<li>
											<i class="fa fa-envelope-o" aria-hidden="true"></i>
											<div>info@e-learn.edu.lk</div>
										</li>
									</ul>
									<?php if (isset($_SESSION['userId'])) { ?>
										<div class="top_bar_login ml-auto">
											<div class="login_button"><a href="login/logout.inc.php">Log Out</a></div>
										</div>
									<?php } else if (isset($_SESSION['teacherId'])) { ?>
										<div class="top_bar_login ml-auto">
											<div class="login_button"><a href="login/logout.inc.php">Log Out</a></div>
										</div>
									<?php } else { ?>
										<div class="top_bar_login ml-auto">
											<div class="login_button"><a href="teachers_log_in.php">Login</a></div>
										</div> <?php
											} ?>

								</div>
							</div>
						</div>
					</div>
				</div>
			</div>

			<!-- Header Content -->
			<div class="header_container">
				<div class="container">
					<div class="row">
						<div class="col">
							<div class="header_content d-flex flex-row align-items-center justify-content-start">
								<div class="logo_container">
									<a href="index.php">
										<img src="images/logo.jpg" width="150px">
									</a>
								</div>
								<nav class="main_nav_contaner ml-auto">
									<ul class="main_nav">
										<li><a href="index.php">Home</a></li>
										<?php if (isset($_SESSION['teacherId'])) { ?>
											<li><a href="teacherProfile.php">Profile</a></li>
										<?php } ?>
										<li><a href="lessonUpload.php">Upload Lessons</a></li>
										<li><a href="viewstudents.php">Account Balance</a></li>										
									</ul>
									
									<div class="hamburger menu_mm">
										<i class="fa fa-bars menu_mm" aria-hidden="true"></i>
									</div>
								</nav>

							</div>
						</div>
					</div>
				</div>
			</div>

			<!-- Header Search Panel -->
			<div class="header_search_container">
				<div class="container">
					<div class="row">
						<div class="col">
							<div class="header_search_content d-flex flex-row align-items-center justify-content-end">
								<form action="preview_search.php" class="header_search_form">
									<input type="search" class="search_input" placeholder="Search" required="required">
									<button class="header_search_button d-flex flex-column align-items-center justify-content-center">
										<i class="fa fa-search" aria-hidden="true"></i>
									</button>
								</form>
							</div>
						</div>
					</div>
				</div>
			</div>
		</header>

		<!-- Menu -->

		<div class="menu d-flex flex-column align-items-end justify-content-start text-right menu_mm trans_400">
			<div class="menu_close_container">
				<div class="menu_close">
					<div></div>
					<div></div>
				</div>
			</div>
			<div class="search">
				<form action="#" class="header_search_form menu_mm">
					<input type="search" class="search_input menu_mm" placeholder="Search" required="required">
					<button class="header_search_button d-flex flex-column align-items-center justify-content-center menu_mm">
						<i class="fa fa-search menu_mm" aria-hidden="true"></i>
					</button>
				</form>
			</div>
			<nav class="menu_nav">
				<ul class="menu_mm">
					<li class="menu_mm"><a href="index.php">Home</a></li>
					<?php if (isset($_SESSION['teacherId'])) { ?>
						<li class="menu_mm"><a href="teacherProfile.php">Profile</a></li>
					<?php } ?>
					<li class="menu_mm"><a href="lessonUpload.php">Upload Leesons</a></li>
					<li class="menu_mm"><a href="viewstudents.php">Account Balance</a></li>
					<?php if (isset($_SESSION['userId'])) { ?>
											<li class="menu_mm"><a href="login/logout.inc.php">Log-out</a></li>
											<?php } 
											else if (isset($_SESSION['teacherId'])) { ?>
												<li class="menu_mm"><a href="login/logout.inc.php">Log-out</a></li>
												<?php } else { ?>
													<li class="menu_mm"><a href="teachers_log_in.php">Log-in</a></li>
													<?php }	
												
												?>
					
				</ul>
			</nav>
		</div>
	</div>