<?php 
if (isset($_POST['signup'])){
    
    require 'dbh.inc.php';

    $username = $_POST['user'];
    $password = $_POST['pass'];
    $repassword = $_POST['rePass'];
    $email = $_POST['email'];
    $mobile = $_POST['mobile'];
    $firstName = $_POST['firstName'];
    $middleName = $_POST['middleName'];
    $lastName = $_POST['lastName'];
    $school = $_POST['school'];    
   

    if (empty($username)  || empty($password) || empty($repassword)  ){
        header("Location: ../signup.php?error=emptyfields&uid=".$username);
        exit();
        //done
    }
    
    else if ($password !== $repassword){
        header("Location: ../signup.php?error=passwordcheck&uid=".$username);
        exit();
        //done
    }
    else {
        $sql = "SELECT studentID FROM students WHERE studentUsername=?";
        $stmt = mysqli_stmt_init($conn);
        if(!mysqli_stmt_prepare($stmt, $sql)){
            header("Location: ../register.php?error=sqlerror");
             exit(); //done
        }  else {
            mysqli_stmt_bind_param($stmt , "s", $username);
            mysqli_stmt_execute($stmt);
            mysqli_stmt_store_result($stmt);
            $resultCheck = mysqli_stmt_num_rows($stmt);
            if($resultCheck>0){
                header("Location: ../register.php?error=usertaken&uemail=".$useremail);
                exit(); //done
            }   else {
                $sql = "INSERT INTO students (studentUsername , studentPassword, firstName, middleName, lastName, email, mobile, school ) 
                VALUES (?, ?, ?, ?, ?, ?, ?, ?)";
                $stmt = mysqli_stmt_init($conn);
                if(!mysqli_stmt_prepare($stmt, $sql)){
                    header("Location: ../register.php?error=sqlerror");
                     exit(); //done
                }  else {
                    $hashedPwd = password_hash($password, PASSWORD_DEFAULT);

                    mysqli_stmt_bind_param($stmt , "ssssssss", $username , $hashedPwd, $firstName, $middleName, $lastName, $email, $mobile, $school  );
                    mysqli_stmt_execute($stmt);   
                    header("Location: ../log-in.php?signup=success");
                     exit();                           
                }
            }
        }
    }
    mysqli_stmt_close($stmt);
    mysqli_stmt_close($conn);
}
else{
    header("Location: ../register.php");
    exit();   
}
