<?php 
if (isset($_POST['signup'])){
    
    require 'dbh.inc.php';

    $username = $_POST['user'];
    $password = $_POST['pass'];
    $repassword = $_POST['rePass'];
    $email = $_POST['email'];
    $mobile = $_POST['mobile'];
    $firstName = $_POST['firstName'];
    $middleName = $_POST['middleName'];
    $lastName = $_POST['lastName'];
    $NIC = $_POST['nic'];    
    $pSubject = $_POST['subject'];
    $sSubject = $_POST['subject2'];
    $degree = $_POST['degree'];
   

    if (empty($username)  || empty($password) || empty($repassword)  ){
        header("Location: ../teachers.php?error=emptyfields&uid=".$username);
        exit();
        //done
    }
    
    else if ($password !== $repassword){
        header("Location: ../teachers.php?error=passwordcheck&uid=".$username);
        exit();
        //done
    }
    else {
        $sql = "SELECT teacherID FROM teachers WHERE teacherUsername=?";
        $stmt = mysqli_stmt_init($conn);
        if(!mysqli_stmt_prepare($stmt, $sql)){
            header("Location: ../teachers.php?error=sqlerror");
             exit(); //done
        }  else {
            mysqli_stmt_bind_param($stmt , "s", $username);
            mysqli_stmt_execute($stmt);
            mysqli_stmt_store_result($stmt);
            $resultCheck = mysqli_stmt_num_rows($stmt);
            if($resultCheck>0){
                header("Location: ../teachers.php?error=usertaken&uemail=".$useremail);
                exit(); //done
            }   else {
                $sql = "INSERT INTO teachers (teacherUsername , teacherPassword, firstName, middleName, lastName, email, mobile, idNo, degree, subjectPrimery, subjectSecondary ) 
                VALUES (?, ?, ?, ?, ?, ?, ?, ?, ? , ? , ?)";
                $stmt = mysqli_stmt_init($conn);
                if(!mysqli_stmt_prepare($stmt, $sql)){
                    header("Location: ../teachers.php?error=sqlerror");
                     exit(); //done
                }  else {
                    $hashedPwd = password_hash($password, PASSWORD_DEFAULT);

                    mysqli_stmt_bind_param($stmt , "sssssssssss", $username , $hashedPwd, $firstName, $middleName, $lastName, $email, $mobile, $NIC, $degree, $pSubject, $sSubject  );
                    mysqli_stmt_execute($stmt);   
                    header("Location: ../teachers.php?success");
                     exit();                           
                }
            }
        }
    }
    mysqli_stmt_close($stmt);
    mysqli_stmt_close($conn);
}
else{
    header("Location: ../teachers.php");
    exit();   
}
